
export namespace Types {

    export interface DataMail { 
        mail: string; 
        subject: string; 
        body: string 
    }
    
    export interface AuthMail { 
        user: string; 
        passwd: string; 
        host: string;
        port: string;
    }
    
    export interface EsquemaTrabajo {
        horaInicio: string;
        horaFin: string;
        dias: number[];
    }

    export interface Assigned {
        name: string;
        uuid: string;
    }
    

    export interface Assignments {
        date: string;
        assigned: Assigned[];
        info?: string;
    }
}