import { Types } from "./typing";
export declare namespace Obra {
    /**
     * @param esquemas
     * @param utc
     * @param daySelected
     * Determina el inicio y fin de turno en horario UTC 0 y tz nacional basado en un esquema de trabajo.
     */
    const timesTurno: (esquemas: Types.EsquemaTrabajo[], utc: number, daySelected?: Date) => {
        turnoIni: {
            UTCTurno: string;
            TZTurno: string;
            timeView: string;
        };
        turnoFin: {
            UTCTurno: string;
            TZTurno: string;
            timeView: string;
        };
        turnoString: string;
    };
    /**
     *
     * @param begFin
     * @returns
     * Determina una fecha según un numeral. Por ej, el primer sabado de abril: begFin: 1-6-4
     */
    const getNumeralDayOfMonth: (begFin: {
        numeral: number;
        day: number;
        month: number;
        year: number;
    }) => any;
    const getMonthsDST: (timezone: string) => {
        monthIniDST: number;
        monthFinDST: number;
    };
    const getCalcMMAtTime: (historicAssignments: Types.Assignments[]) => number;
}
