import moment from "moment-timezone";
import { Types } from "./typing";
export declare namespace Utils {
    /**
     * @param dni
     * Dado un RUN sin el DV, obtiene el dígito verificador
     */
    const getDV: (dni: number) => string;
    const logger: import("winston").Logger;
    const logError: (err: any, place: string) => void;
    const isJSONString: (cadena: string) => boolean;
    const stringToAccesgroup: (str: string) => string;
    const momento: () => moment.Moment;
    const sendMailTo: (data: Types.DataMail, auth: Types.AuthMail) => Promise<void>;
}
